MapGeneratorUtils (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.server

## Class MapGeneratorUtils

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.server.MapGeneratorUtils

-     public class MapGeneratorUtils
      extends Object

  Author:
    ceras

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapGeneratorUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BufferedImage` | `createMapImage(String outputFormat, String bbox, String width, String height, String[] geoservers, String[] layers, String[] styles, String[] opacities, String[] cqlfilters, String[] gsrefs)`
    `static String` | `getOutputExtension(String outputFormat)`
    `static void` | `main(String[] args)`
    `static BufferedImage` | `toRGB(BufferedImage image)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapGeneratorUtils

          public MapGeneratorUtils()

  - ### Method Detail

    - #### createMapImage

          public static BufferedImage createMapImage(String outputFormat,
                                     String bbox,
                                     String width,
                                     String height,
                                     String[] geoservers,
                                     String[] layers,
                                     String[] styles,
                                     String[] opacities,
                                     String[] cqlfilters,
                                     String[] gsrefs)
                                              throws IOException

      Parameters:
        `layers` -
      Returns:
      Throws:
        `IOException`

    - #### toRGB

          public static BufferedImage toRGB(BufferedImage image)

    - #### getOutputExtension

          public static String getOutputExtension(String outputFormat)

    - #### main

          public static void main(String[] args)

Copyright © 2014. All Rights Reserved.